const axios = require('axios');

async function jokeGenerator() {
  try {
    const response = await axios.get('https://v2.jokeapi.dev/joke/Any');
    
    // Depending on the structure of the API response, adjust this part
    if (response.data.type === 'single') {
      return response.data.joke;
    } else if (response.data.type === 'twopart') {
      return `${response.data.setup} - ${response.data.delivery}`;
    } else {
      return 'Sorry, could not fetch a joke at this time.';
    }
  } catch (error) {
    console.error('Error fetching joke:', error);
    return 'Sorry, could not fetch a joke at this time.';
  }
}

module.exports = jokeGenerator;
